classification
Title: Installation freezes on C Runtime Install
Type: crash Stage:
Components: Installation, Windows Versions: Python 3.5
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: Ex Tracheese, eryksun, paul.moore, steve.dower, tim.golden, zach.ware
Priority: normal Keywords:

Created on 2016-11-02 23:28 by Ex Tracheese, last changed 2017-01-02 04:50 by steve.dower. This issue is now closed.

Files
File name Uploaded Description Edit
Python 3.5.2 (32-bit)_20161102192326.log Ex Tracheese, 2016-11-02 23:28 log file from installer
Messages (5)
msg279953 - (view) Author: Ex Tracheese (Ex Tracheese) Date: 2016-11-02 23:28
When trying to install Python 3.5.2 on my Windows 7 computer after getting a new SSD, the installer freezes on the C Runtime portion and never progresses past it. I have attached the log file which is full of some errors that don't really mean anything to me.
msg279954 - (view) Author: Ex Tracheese (Ex Tracheese) Date: 2016-11-02 23:38
Nevermind, I found the problem. Windows Update shortcut got deleted from Start Menu. Thank god there was a stack overflow question.
msg279955 - (view) Author: Ex Tracheese (Ex Tracheese) Date: 2016-11-02 23:41
Nevermind *again*, turns out the install wasn't successful despite appearances. When I try to actually run python it complains that there's no C Runtime dll.
msg279956 - (view) Author: Eryk Sun (eryksun) * (Python triager) Date: 2016-11-03 01:04
Supported versions of Windows Vista and later should have the CRT update [1] installed via Windows Update. (3.5.2 is bundled with the older KB2999226 update [2].) A Windows 7 system that I checked had this automatically installed last March. But maybe for some reason it's not getting pushed to all systems. Try manually installing the KB3118401 update for x64-based Windows 7.

Steve, do you think it's a good idea to continue bundling the CRT update with the 3.6 installer? When 3.5 was released last year the Universal CRT was new and IIRC not conveniently available as a recommended update in Windows Update, but that's no longer the case AFAIK. 

[1]: https://support.microsoft.com/en-us/kb/3118401
[2]: https://support.microsoft.com/en-us/kb/2999226
msg279964 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2016-11-03 04:25
This looks like a corrupted download to me - the update was aborted because none of the other packages were "found", which should be impossible since they are embedded in that executable. It may also be an antivirus program interfering though, as I'd expect a corrupt installer to fail earlier than this.

We definitely need to keep the update in there. If there's a superseding update already installed then we won't install it (or for the web installer even download it), and it may still be necessary for offline installs. As I said, it's not the issue here.
History
Date User Action Args
2017-01-02 04:50:10steve.dowersetstatus: open -> closed
resolution: out of date
2016-11-03 04:25:52steve.dowersetmessages: + msg279964
2016-11-03 01:08:23eryksunsetcomponents: + Installation, - Build
2016-11-03 01:04:37eryksunsetnosy: + eryksun
messages: + msg279956
2016-11-02 23:41:28Ex Tracheesesetmessages: + msg279955
2016-11-02 23:38:07Ex Tracheesesetmessages: + msg279954
2016-11-02 23:28:15Ex Tracheesecreate